#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private DailyHighLow[] cacheDailyHighLow;

		
		public DailyHighLow DailyHighLow(System.Windows.Media.Brush alertBackColor, System.Windows.Media.Brush alertFgColor)
		{
			return DailyHighLow(Input, alertBackColor, alertFgColor);
		}


		
		public DailyHighLow DailyHighLow(ISeries<double> input, System.Windows.Media.Brush alertBackColor, System.Windows.Media.Brush alertFgColor)
		{
			if (cacheDailyHighLow != null)
				for (int idx = 0; idx < cacheDailyHighLow.Length; idx++)
					if (cacheDailyHighLow[idx].AlertBackColor == alertBackColor && cacheDailyHighLow[idx].AlertFgColor == alertFgColor && cacheDailyHighLow[idx].EqualsInput(input))
						return cacheDailyHighLow[idx];
			return CacheIndicator<DailyHighLow>(new DailyHighLow(){ AlertBackColor = alertBackColor, AlertFgColor = alertFgColor }, input, ref cacheDailyHighLow);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.DailyHighLow DailyHighLow(System.Windows.Media.Brush alertBackColor, System.Windows.Media.Brush alertFgColor)
		{
			return indicator.DailyHighLow(Input, alertBackColor, alertFgColor);
		}


		
		public Indicators.DailyHighLow DailyHighLow(ISeries<double> input , System.Windows.Media.Brush alertBackColor, System.Windows.Media.Brush alertFgColor)
		{
			return indicator.DailyHighLow(input, alertBackColor, alertFgColor);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.DailyHighLow DailyHighLow(System.Windows.Media.Brush alertBackColor, System.Windows.Media.Brush alertFgColor)
		{
			return indicator.DailyHighLow(Input, alertBackColor, alertFgColor);
		}


		
		public Indicators.DailyHighLow DailyHighLow(ISeries<double> input , System.Windows.Media.Brush alertBackColor, System.Windows.Media.Brush alertFgColor)
		{
			return indicator.DailyHighLow(input, alertBackColor, alertFgColor);
		}

	}
}

#endregion
